[Overview][Constants][Classes][Procedures and functions][Index] | Reference for unit 'ExtDlgs' (#lcl)

# TOpenPictureDialog.IsFilterStored

IsFilterStored - returns True if a filter is stored.

## Declaration

Source position: extdlgs.pas line 82

`protected function TOpenPictureDialog.IsFilterStored: Boolean; virtual;`

## Function result

True when Filter is included in the LCL component streaming content.

## Description

IsFilterStored is a Boolean function used to get the value for the storage specifier for the Filter property. The return value indicates if the value in Filter is included in the content read and written using the LCL component streaming mechanism. It returns True when the value in Filter is different than the value in DefaultFilter.

## See also

TOpenPictureDialog.Filter |  | Contains a delimited list of descriptions and extensions for file available in the dialog.
TOpenPictureDialog.DefaultFilter |  | DefaultFilter - the default filename filter.